%define name 		iproute2
%define version 	2.2.4
%define release 13mdk

Summary: 	Advanced IP routing tools
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
License: 	GPL
Url:		ftp://ftp.inr.ac.ru/ip-routing/
Group:  	Networking/Other
Source: 	%{name}-current.tar.bz2
Patch0: iproute2-2.2.4-docmake.patch.bz2
Patch1: iproute2-2.2.4-glibc22.patch.bz2
Patch2: iproute2-misc.patch.bz2
Patch3: iproute2-config.patch.bz2
Patch4: iproute2-def-echo.patch.bz2
BuildRequires:	kernel-source tetex-dvips tetex-latex
BuildRoot: 	%{_tmppath}/%{name}-%{version}-buildroot
Requires: iputils

%description
This package contains the "ip", "tc" and "rtmon" tools. These tools can
be used to configure the advanced routing features of the 2.2 Linux kernel
such as policy routing, fast NAT and packet scheduling.

%prep

%setup -n %{name} 
%patch0 -p1 -b .doc
%patch1 -p1 -b .glibc22
%patch2 -p1 -b .misc
%patch3 -p1
%patch4 -p1

%build
%__make
%__make -C doc

%install
rm -fr $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/{sbin,%{_sysconfdir}/iproute2}

install -m 755 ip/ifcfg $RPM_BUILD_ROOT/sbin
install -m 755 ip/routef $RPM_BUILD_ROOT/sbin
install -m 755 ip/routel $RPM_BUILD_ROOT/sbin
install -m 755 ip/ip $RPM_BUILD_ROOT/sbin
install -m 755 ip/rtmon $RPM_BUILD_ROOT/sbin
install -m 755 ip/rtacct $RPM_BUILD_ROOT/sbin
install -m 755 tc/tc $RPM_BUILD_ROOT/sbin
install -m 644 etc/iproute2/rt_dsfield $RPM_BUILD_ROOT%{_sysconfdir}/iproute2
install -m 644 etc/iproute2/rt_protos $RPM_BUILD_ROOT%{_sysconfdir}/iproute2
install -m 644 etc/iproute2/rt_realms $RPM_BUILD_ROOT%{_sysconfdir}/iproute2
install -m 644 etc/iproute2/rt_scopes $RPM_BUILD_ROOT%{_sysconfdir}/iproute2
install -m 644 etc/iproute2/rt_tables $RPM_BUILD_ROOT%{_sysconfdir}/iproute2


%clean
[ -d $RPM_BUILD_ROOT ] && rm -r $RPM_BUILD_ROOT;


%files
%defattr (-,root,root)
/sbin/*
%dir %{_sysconfdir}/iproute2
%config(noreplace) %{_sysconfdir}/iproute2/rt_dsfield
%config(noreplace) %{_sysconfdir}/iproute2/rt_protos
%config(noreplace) %{_sysconfdir}/iproute2/rt_realms
%config(noreplace) %{_sysconfdir}/iproute2/rt_scopes
%config(noreplace) %{_sysconfdir}/iproute2/rt_tables
%doc README README.iproute2+tc RELNOTES README.decnet
%doc doc/*.dvi doc/*.ps doc/Plan examples/

%changelog
* Tue Nov 13 2001 Stefan van der Eijk <stefan@eijk.nu> 2.2.4-13mdk
- BuildRequires: kernel-source tetex-dvips tetex-latex

* Tue Nov 13 2001 Philippe Libat <philippe@mandrakesoft.com> 2.2.4-12mdk
- include mode documentation
- include more sbin

* Tue Oct 30 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.2.4-11mdk
- add url

* Tue Oct 09 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.2.4-10mdk
- qa-ize()

* Wed Jul 11 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.2.4-9mdk
- build release
- spec cleaning

* Thu May 17 2001 Stew Benedict <sbeneict@mandrakesoft.com> 2.2.4-8mdk
- provide missing define in if_ether.h in some kernel trees

* Thu Nov 16 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 2.2.4-7mdk
- Fix glibc22 compilation.

* Thu Aug 10 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.2.4-6mdk
- fix config files

* Wed Jul 19 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.2.4-5mdk
- BM

* Wed Jul 12 2000 Christian Zoffoli <czoffoli@linux-mandrake.com> 2.2.4-4mdk
- removed _sysconfdir 
- added %clean

* Wed Jul 12 2000 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.2.4-3mdk
- fix a few typo (chrs scks :-) ) and make this spec short-circuit aware :
  *  _sysconfig/_sysconfdir
  *  creation of subdirs while installing
- Christian Zoffoli <czoffoli@linux-mandrake.com> : macroszifications

* Fri Apr 28 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.2.4-2mdk
- fix group and files section

* Wed Mar 01 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.2.4-1mdk
- mandrake build
- used latest release of 2.2.4 series / 000225
 
* Mon Apr 26 1999 Jan "Yenya" Kasprzak <kas@fi.muni.cz>
- Added $RPM_OPT_FLAGS
 
* Fri Apr 23 1999 Damien Miller <damien@ibs.com.au>
- Built RPM  
